Bug 1143854 - Marshaling issue in fencing flow using jsonrpc
Summary: Marshaling issue in fencing flow using jsonrpc
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-engine-core
Version: 3.5
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 3.5.0
Assignee: Piotr Kliczewski
QA Contact: sefi litmanovich
URL:
Whiteboard: infra
Depends On:
Blocks: 1073943
TreeView+ depends on / blocked
 
Reported: 2014-09-18 07:12 UTC by Oved Ourfali
Modified: 2016-02-10 19:33 UTC (History)
6 users (show)

Fixed In Version: ovirt-3.5.0_rc3
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-17 12:41:28 UTC
oVirt Team: Infra


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 33029 ovirt-engine-3.5 MERGED core: Marshalling regression on fenceNode Never
oVirt gerrit 33033 ovirt-3.5 MERGED jsonrpc: when None is set as default value Bridge.py fails Never

Description Oved Ourfali 2014-09-18 07:12:03 UTC
Description of problem:
There is a marshaling problem in the fencing flow in jsonrpc, that causes fencing to fail.

Comment 1 sefi litmanovich 2014-10-13 15:45:31 UTC
Verified with rhevm-3.5.0-0.14.beta.el6ev.noarch.

Fencing flow works, will start full test run to verify several test cases.
basic internal fencing and external fencing is working.

Comment 2 Sandro Bonazzola 2014-10-17 12:41:28 UTC
oVirt 3.5 has been released and should include the fix for this issue.


Note You need to log in before you can comment on or make changes to this bug.